Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface ComponentRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

All Known Subinterfaces:
  EJBComponentRuntimeMBean, JDBCConnectionPoolRuntimeMBean, WebAppComponentRuntimeMBean

public interface ComponentRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

Base class for all runtime mbeans that provide status of running modules.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `ACTIVATED` State indicating at this module is currently active.
`static int` | `NEW` State indicating this module has just been created and is being initialized.
`static int` | `PREPARED` State indicating at this module of this application is prepared, but not active.
`static int` | `UNPREPARED` State indicating at this module is neither prepared or active.

Method Summary
`int` | `getDeploymentState()` The current deployment state of the module.
`String` | `getModuleId()` Returns the identifier for this Component.
`weblogic.management.runtime.WorkManagerRuntimeMBean[]` | `getWorkManagerRuntimes()` Get the runtime mbeans for all work managers defined in this component

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### ACTIVATED

    public static final int ACTIVATED

  State indicating at this module is currently active.

  See Also:
    Constant Field Values

### NEW

    public static final int NEW

  State indicating this module has just been created and is being initialized.

  See Also:
    Constant Field Values

### PREPARED

    public static final int PREPARED

  State indicating at this module of this application is prepared, but not active. The classes have been loaded and the module has been validated.

  See Also:
    Constant Field Values

### UNPREPARED

    public static final int UNPREPARED

  State indicating at this module is neither prepared or active.

  See Also:
    Constant Field Values

Method Detail

### getDeploymentState

    public int getDeploymentState()

  The current deployment state of the module.

  Returns:
    The deploymentState value

### getModuleId

    public String getModuleId()

  Returns the identifier for this Component. The identifier is unique within the application.

  Typical modules will use the URI for their id. Web Modules will return their context-root since the web-uri may not be unique within an EAR.

  Returns:
    the module id

### getWorkManagerRuntimes

    public weblogic.management.runtime.WorkManagerRuntimeMBean[] getWorkManagerRuntimes()

  Get the runtime mbeans for all work managers defined in this component

  Since:
    9.0.0.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD